TinyMCE Editor konfigurieren

Hallo senana, um einen Effekt mit dem Haken “Erweiterter Editor” am Benutzer zu sehen, musst du dich bitte einmal Aus- und wieder Einloggen. Beste Grüße Sebastian

Hallo Sebastian, danke für die schnelle Antwort. Auch das habe ich natürlich gemacht. Hat auch keine Wirkung. :frowning: Sieht denn der erweiterte Editor genauso aus wie der normale? Ich meine, dass der eine andere Optik hatte…

Hallo senana, nein, der sieht schon abgespeckter aus. Er hat nur eine Zeile Icons. Schau doch mal in irgendeinen Demoshop oder installiere dir einen. Was spricht denn Einstellungen > Systeminfo > Shopware-Dateien? Alles grün? Beste Grüße Sebastian

[quote=“die onleister”]Hallo senana, nein, der sieht schon abgespeckter aus. Er hat nur eine Zeile Icons.[/quote] Na dann weiß ich ja schon mal, dass bei sich bei mir der erweiterte Editor optisch festgesetzt hat aber offenbar nicht arbeiten will. [quote=“die onleister”]Hallo senana, Was spricht denn Einstellungen > Systeminfo > Shopware-Dateien? Alles grün? [/quote] Grün wie ein Märchenwald. Gibt es eine zuverlässige Methode den Backend Cache zu löschen`?

Im Zweifel: Einstellungen -> Caches/Performance direkt draufklicken, im Tab “Cache” alle Haken setzen und Leeren drücken. Weiter haben wir noch in der Benutzerkonfiguration den Haken “Backend-Cache deaktivieren”

Ja, danke. Die hatte ich auch alle schon im Visier. Es ist schon arg merkwürdig…

@ Heiner Lohaus, ich habe jetzt ganz sicher den Effekt, dass von plötzlich auf jetzt das Plugin seine Funktionalität verweigert. Ich bin ganz sicher, dass ich gestern oder vorgestern noch das Plugin erfolgreich um ein paar zulässige Parameter erweitert habe, und heute funktioniert es einfach nicht. Das kann doch nicht sein? Hast Du irgendeine Idee, woran das aus logischer Sicht liegen könnte?

@ all ich versuche jetzt sein ein paar Stunden zu verstehen, was mein Editor-Plugin macht. So richtig kann ich es nicht durchschauen. Mal geht was, mal nicht. Evtl. kann mir mal jemand mit einem Blick über das folgende zur Hand gehen. Vielleicht ist es ja eine Miskonfiguration. Hier sind meine Einstellungen

Und dann habe ich folgendes beobachtet. Einfügen von [code]

Das ist mein Text

[/code] GEHT! Das ist mein Text Also ohne die

-Tags, wird wieder von

eingerahmt WIRD GELÖSCHT! [code]

[/code] WIRD AUCH GELÖSCHT! So, demnach wird also das Span-Element nur innerhalb eines Paragraph erlaubt, wenn ebenfalls Text im paragraph enthalten ist. Kann ich das irgendwie noch freier machen, so dass die von mir definierten Elemente () komplett freigeschaltet werden?

Hallo, könnt ihr mich auch nochmal schlau machen? :wink: Ich bin mir nicht sicher ob ich da alles richtig gemacht habe. Ich habe den TinyMCE Editor installiert. Bei meinem User fürs Backend habe ich einen Haken an “erweiterter Editor” und Backend Cache deaktiviert. Im Plugin selbst unter extended_valid_elements habe ich für eine SVG Datei folgendes hinzugefügt: svg[version|id|xmlns|xmlns:xlink|x|y|viewBox|enable-background|xml:space], rect{x|y|class|width|height], circle[class|cx|cy|r], line[fill|class|stroke-width|stroke-miterlimit|xl|yl|x2|y2], path[class|d] der SVG Code sieht wie folgt aus: <svg version="1.1" id="Ebene_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewbox="0 0 122.7 122.7" enable-background="new 0 0 122.7 122.7" xml:space="preserve"> <rect x="25.2" y="36.7" class="cat-teaser-icon cat-teaser-icon-hell" width="7.7" height="22"></rect> <rect x="62.8" y="31.5" class="cat-teaser-icon cat-teaser-icon-hell" width="6.2" height="10.3"></rect> <circle class="cat-teaser-icon cat-teaser-icon-hell" cx="65.8" cy="29.5" r="5.2"></circle> <line fill="none" class="cat-teaser-icon cat-teaser-icon-linie-hell" stroke-width="4" stroke-miterlimit="10" x1="47.8" y1="29.5" x2="83.8" y2="29.5"></line> <circle class="cat-teaser-icon cat-teaser-icon-hell" cx="47.8" cy="29.5" r="3.8"></circle> <circle class="cat-teaser-icon cat-teaser-icon-hell" cx="83.8" cy="29.5" r="3.8"></circle> <path class="cat-teaser-icon cat-teaser-icon-hell" d="M99.3,62.4c0-12.3-9.7-22.2-21.7-22.2c-0.5,0-1,0-1.5,0.1v-0.1H27.1v15H61h15h0.6c4.1,0,7.5,3.2,7.7,7.3 c0,0.1,0,0.2,0,0.3v4.6v1.9h15v-6.5h0C99.2,62.7,99.3,62.5,99.3,62.4z"></path> <path class="cat-teaser-icon cat-teaser-icon-dunkel" d="M90.8,70.6c0,0,3.3,9.6-2.5,15.9c-6.9,7.4-1.9,12.5,2.7,13.7C97.9,101.8,104.1,90.2,90.8,70.6z"></path> </svg> nun löscht der Editor mir jedoch leider immernoch alles weg, sobald ich in ein HTML Element in der Einkaufswelt die SVG Datei einfügen möchte. Wo liegt mein Fehler?

Hallo, wo finde ich denn dieses Plugin? Sorry, hat sich erledigt. Erst nach Anmeldung im Forum konnte ich den Download sehen :slight_smile: Doch nicht, beim Versuch das Plugin hochzuladen kommt folgender Error: Error Uploaded zip archive contains no plugin namespace directory: .DS_Store Und jetzt? Ist das Plugin ggf. nicht für die 5er Version?

Jemand mit der 5er Version mal getestet?

[quote=„Benutzerxy“]Jemand mit der 5er Version mal getestet?[/quote] Bei jeden Plugin steht auch dabei mit welcher Version es kompatibel ist. Lg

Bei mir funktioniert es mit der 5er. Ich hatte nur Probleme mit der Installation. Nach dem Download wurde das Zip entpackt, daran muss es wohl gelegen haben. Ich habe das Plugin dann einfach per FTP hochgeladen und dann ging alles ohne Probleme.

Hallo,

ich kann den Link zum Plugin nicht sehen. Liegt das an der neuen Forumssoftware bzw. an den Änderungen?

Kann jemand den Link bitte posten?

 

Danke und Grüße

Bitte den Link posten, danke! :slight_smile:

Ich währe auch sehr an dem Plugin interessiert. Danke im Vorraus!

Wäre ebenso daran interessiert!

Hallo zusammen,

hier der Link zum Plugin:

https://s3-eu-west-1.amazonaws.com/uploads-eu.hipchat.com/20552%2F95756%2FQg6uxLKzhhJHvWc%2FSwagAdvancedTinyMce.zip

Gruß Heiner

4 Likes

danke Heiner! no

[@Heiner Lohaus](http://forum.shopware.com/profile/63/Heiner Lohaus “Heiner Lohaus”)‍: Weshalb kann ich denn kein einzelnes Icon ausgeben? Also ohne Text.

Habe folgendes in die extended_valid_elements eingefügt:

  • i[class|style],
  • span[class|style]

Die Icons möchte ich eigentlich per span einfügen. 

 geht nur, wenn ich 
 hier noch Text einfüge

Wenn ich die erste Variante im HTML-Editor einfüge, wird sie direkt gelöscht und durch ein Leerzeichen ausgetauscht. Ich möchte das Icon aber alleine stehend haben. Sodass ich es entsprechend in der Größe anpassen kann. Unabhängig vom Text.

Habe ich eine Einstellung übersehen oder geht es einfach nicht anders?